<script setup>
import { ref, computed, } from "vue";
const width = 18;
const borderWidth = 2;
const colors = ["#0d0", "#FF0000", "#804000"];

const props = defineProps({
	offset: {
		type: Array,
		default: () => [0, 0],
	},
	points: {
		type: Array,
		default: () => [
			[0, 0],
			[10, 10],
		],
	},
	color: {
		type: String,
		default: "#804000",
	},
  // 开关状态 0 断开   1 闭合   2 未知
	status: {
		type: Number,
		default: 0,
	},
	currColor: {
		type: String,
		default: "#0f0",
	},
});

const fillColor = computed(() => {
  return props.status ? colors[props.status] : 'transparent';
});

const strokeColor = computed(() => {
  return colors[props.status];
});
</script>

<template>
  <g ref="g" :transform="'translate(' + offset.join(',') + ')'">
    <rect
      :width="width"
      :height="width"
      :stroke="`url(${props.status == 2 ? '#colorBorder1' : '#colorBorder0'})`"
      stroke-width="2"
    />
    <rect
      x="2"
      y="2"
      :width="width - 4"
      :height="width - 4"
      :fill="fillColor"
      :stroke="strokeColor"
    />
  </g>
</template>

<style scoped lang="less"></style>
